# Tainted Mesa DRI drivers for Mageia 9

## Motivation

Enable Mesa support for optional video codecs to lower CPU usage and save battery life while video encoding and decoding. This procedure is for those who want to do it on their own.

## Material

* File `mesa.spec.patch` (patch for File mesa.spec from Mesa source RPM).
* File `build.sh` (building script written in Bash).
* File `install.sh` (installation script written in Bash).

## Requirements

* Running as root or as a user in the `wheel` group (for `sudo`)
* Package `rpm-build` installed (for building RPM packages)
* `vainfo` (Package `libva-utils`) installed (for showing information from VA-API driver)

## Option 1: Build (without installing) a specific version of tainted Mesa DRI drivers

	$ bash ./build.sh \
	   http://distrib-coffee.ipsl.jussieu.fr/pub/linux/Mageia/distrib/9/SRPMS/core/release/mesa-23.1.5-2.mga9.src.rpm

## Option 2: Build and install (or update) latest tainted Mesa DRI drivers

	$ bash ./install.sh

## Check that optional video codecs are available:

	$ vainfo
	Trying display: wayland
	Trying display: x11
	libva info: VA-API version 1.16.0
	libva info: Trying to open /usr/lib64/dri/radeonsi_drv_video.so
	libva info: Found init function __vaDriverInit_1_16
	libva info: va_openDriver() returns 0
	vainfo: VA-API version: 1.16 (libva 2.16.0)
	vainfo: Driver version: Mesa Gallium driver 23.1.3 for AMD Radeon RX 6600 (navi23, LLVM 15.0.6, DRM 3.52, ⏎
	6.4.3-desktop-1.mga9)
	vainfo: Supported profile and entrypoints
	      VAProfileMPEG2Simple            : VAEntrypointVLD
	      VAProfileMPEG2Main              : VAEntrypointVLD
	      VAProfileVC1Simple              : VAEntrypointVLD       <== NEW
	      VAProfileVC1Main                : VAEntrypointVLD       <== NEW
	      VAProfileVC1Advanced            : VAEntrypointVLD       <== NEW
	      VAProfileH264ConstrainedBaseline: VAEntrypointVLD       <== NEW
	      VAProfileH264ConstrainedBaseline: VAEntrypointEncSlice  <== NEW
	      VAProfileH264Main               : VAEntrypointVLD       <== NEW
	      VAProfileH264Main               : VAEntrypointEncSlice  <== NEW
	      VAProfileH264High               : VAEntrypointVLD       <== NEW
	      VAProfileH264High               : VAEntrypointEncSlice  <== NEW
	      VAProfileHEVCMain               : VAEntrypointVLD       <== NEW
	      VAProfileHEVCMain               : VAEntrypointEncSlice  <== NEW
	      VAProfileHEVCMain10             : VAEntrypointVLD       <== NEW
	      VAProfileHEVCMain10             : VAEntrypointEncSlice  <== NEW
	      VAProfileJPEGBaseline           : VAEntrypointVLD
	      VAProfileVP9Profile0            : VAEntrypointVLD
	      VAProfileVP9Profile2            : VAEntrypointVLD
	      VAProfileAV1Profile0            : VAEntrypointVLD
	      VAProfileNone                   : VAEntrypointVideoProc

Enjoy!
